"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const util_1 = require("../lib/utils/util");
class DiffEnvName extends core_1.Command {
    run() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const { flags } = yield this.parse(DiffEnvName);
            const prev = (0, util_1.parseEnv)(flags['prev-env']);
            const after = (0, util_1.parseEnv)(flags['after-env']);
            const names = {};
            for (const [k] of Object.entries(after)) {
                // only print changed vars
                if (prev[k] !== after[k]) {
                    names[k] = k;
                }
            }
            console.log(names);
        });
    }
}
exports.default = DiffEnvName;
DiffEnvName.description = 'Output diff env name';
DiffEnvName.examples = [
    `$ typed-env diff-env-name -a "$(env)" -p "$(env)"`,
];
DiffEnvName.flags = {
    'prev-env': core_1.Flags.string({
        char: 'p',
        description: 'enter current env json',
        required: true,
    }),
    'after-env': core_1.Flags.string({
        char: 'a',
        description: 'enter change env json',
        required: true,
    }),
};
